
# Example

## Sender

```csharp
client.Sender
    .Authenticate(clientId!, clientSecret!)
    .CreateSubmission(new Submission { Attachments = new List<Attachment>() })
    .UploadAttachments()
    .SendSubmission(new Metadata(), new Data());
```

## Subscriber

### Polling available submissions

```csharp
client.Subscriber
    .Authenticate(clientId!, clientSecret!)
    .PollSubmissions("destinationId", out var _)
```

### Getting list of submissions

```csharp
client.Subscriber
    .Authenticate(clientId!, clientSecret!)
    .GetSubmissions("destinationId", out var _)
```

### Reading specific submission

```csharp
client.Subscriber
    .Authenticate(clientId!, clientSecret!)
    .GetSubmission("destinationId", "submissionId", out var _)
    .GetAttachments(out var _)
    .DecryptAttachments(out var _)
    .DecryptData(out var _)
    .DecryptMetadata(out var _)
    .ConfirmSubmission();
```
